<!DOCTYPE html>
<html lang="{{LaravelLocalization::getCurrentLocale()}}">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        @yield('meta')
        @include('layouts.partials.hreflang')
        <!-- Fav Icon -->
        <link rel="icon" href="{{url('uploads/settings/source/'.$configration->fav_icon)}}" type="image/x-icon">
        <!-- Google Fonts -->
        <link href="https://fonts.googleapis.com/css2?family=Amatic+SC:wght@400;700&amp;display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&amp;display=swap" rel="stylesheet">
        <!-- Stylesheets -->
        <link href="{{ url('resources/assets/front/css/font-awesome-all.css') }}" rel="stylesheet">
        <link href="{{ url('resources/assets/front/css/flaticon.css') }}" rel="stylesheet">
        <link href="{{ url('resources/assets/front/css/owl.css') }}" rel="stylesheet">
        <link href="{{ url('resources/assets/front/css/bootstrap.css') }}" rel="stylesheet">
        <link href="{{ url('resources/assets/front/css/jquery.fancybox.min.css') }}" rel="stylesheet">
        <link href="{{ url('resources/assets/front/css/animate.css') }}" rel="stylesheet">
        <link href="{{ url('resources/assets/front/css/color.css') }}" rel="stylesheet">
        @if( LaravelLocalization::getCurrentLocaleDirection() == 'rtl')
        <link href="{{ url('resources/assets/front/css/rtl.css') }}" rel="stylesheet">
        @else
        <link href="{{ url('resources/assets/front/css/style.css') }}" rel="stylesheet">
        @endif
        
        <link href="{{ url('resources/assets/front/css/responsive.css') }}" rel="stylesheet">
        @yield('style')
    </head>
    <!-- page wrapper -->
    <body>
        <div class="boxed_wrapper">
            <!-- preloader -->
            <div class="preloader">
                <div class="boxes">
                    <div class="box">
                        <div></div>
                        <div></div>
                        <div></div>
                        <div></div>
                    </div>
                    <div class="box">
                        <div></div>
                        <div></div>
                        <div></div>
                        <div></div>
                    </div>
                    <div class="box">
                        <div></div>
                        <div></div>
                        <div></div>
                        <div></div>
                    </div>
                    <div class="box">
                        <div></div>
                        <div></div>
                        <div></div>
                        <div></div>
                    </div>
                </div>
            </div>
            <!-- preloader end -->
    
            <!-- main header -->
            <header class="main-header header-style-one">
                <div class="header-lower">
                    <div class="outer-box">
                        <div class="logo-box">
                            <figure class="logo">
                                <a href="{{LaravelLocalization::localizeUrl('/')}}">
                                    <img src="{{url('uploads/settings/source/'.$configration->app_logo)}}" class="logo_main" alt="logo">
                                </a>
                            </figure>
                        </div>
                        <div class="menu-area">
                            <!--Mobile Navigation Toggler-->
                            <div class="mobile-nav-toggler">
                                <i class="icon-bar"></i>
                                <i class="icon-bar"></i>
                                <i class="icon-bar"></i>
                            </div>
                            <nav class="main-menu navbar-expand-md navbar-light">
                                <div class="collapse navbar-collapse show clearfix" id="navbarSupportedContent">
                                    <ul class="navigation clearfix">
                                        @foreach($menus as $menu)
                                            @if($menu->type == 'link')
                                                <li @if(Request::segment(2) == $menu->type_value) class="current" @endif><a href="{{$menu->type_value}}">{{(app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar}}</a></li> 
                                            @elseif($menu->type == 'home')
                                                <li @if(Request::segment(2) == '') class="current" @endif><a href="{{LaravelLocalization::localizeUrl('/')}}">{{(app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar}}</a></li> 
                                            @elseif($menu->type == 'services')
                                                <li class="dropdown">
                                                    <a href="{{LaravelLocalization::localizeUrl('services')}}">{{trans('home.services')}}</a>
                                                    @if(count($menuServices) > 0)
                                                        <ul class="sub-menu">
                                                            @foreach($menuServices as $menuService)
                                                                <li class="menu-item">
                                                                    <a href="{{ (app()->getLocale() == 'en')? LaravelLocalization::localizeUrl('service/'.$menuService->link_en):LaravelLocalization::localizeUrl('service/'.$menuService->link_ar) }}">{{(app()->getLocale() == 'en')?$menuService->name_en:$menuService->name_ar}}</a>
                                                                </li>
                                                            @endforeach
                                                        </ul>
                                                    @endif
                                                </li>
                                            @elseif($menu->type == 'blog-category')
                                                <li><a href="{{ (app()->getLocale() == 'en')? LaravelLocalization::localizeUrl('blogs/'.$menu->link_en):LaravelLocalization::localizeUrl('blogs/'.$menu->link_ar) }}">{{(app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar}}</a></li> 
                                            @elseif(count($menu->subMenu()) > 0)
                                                <li class="dropdown"><a href="{{LaravelLocalization::localizeUrl($menu->type)}}">{{(app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar}}</a>
                                                    <ul>
                                                        @foreach($menu->subMenu() as $subMenu)
                                                            @if(count($subMenu->subMenu() ) > 0)
                                                                <li class="dropdown">
                                                                    <a href="{{ LaravelLocalization::localizeUrl($subMenu->type) }}">{{(app()->getLocale() == 'en')?$subMenu->name_en:$subMenu->name_ar}}</a>
                                                                    <ul>
                                                                        @foreach($subMenu->subMenu() as $subMenuL2)
                                                                            <li class="menu-item">
                                                                                <a href="{{ LaravelLocalization::localizeUrl($subMenuL2->type) }}">{{(app()->getLocale() == 'en')?$subMenuL2->name_en:$subMenuL2->name_ar}}</a>
                                                                            </li>
                                                                        @endforeach
                                                                    </ul>
                                                                </li>
                                                            @else
                                                                <li>
                                                                    <a href="{{ LaravelLocalization::localizeUrl($subMenu->type) }}">{{(app()->getLocale() == 'en')?$subMenu->name_en:$subMenu->name_ar}}</a>
                                                                </li>
                                                            @endif
                                                        @endforeach
                                                    </ul>
                                                </li>
                                            @else
                                                <li @if(Request::segment(2) == $menu->type) class="current" @endif><a href="{{ LaravelLocalization::localizeUrl($menu->type) }}">{{(app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar}}</a></li> 
                                            @endif
                                        @endforeach
                                        <li>
                                            @foreach(LaravelLocalization::getSupportedLocales() as $localeCode => $properties)
                                                @if($localeCode == 'ar' && LaravelLocalization::getCurrentLocale() == 'en')
            
                                                    <a hreflang="{{ $localeCode }}" 
                                                        @if(Request::segment(2) == 'service')
                                                            href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'service/'.$service->link_ar, [], true) }}"
                                                        @elseif(Request::segment(2) == 'project')
                                                            href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'project/'.$project->link_ar, [], true) }}"
                                                        @elseif(Request::segment(2) == 'blog')
                                                            href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'blog/'.$blog->link_ar, [], true) }}"
                                                        @else
                                                            href="{{ LaravelLocalization::getLocalizedURL($localeCode, null, [], true) }}"
                                                        @endif>
                                                        {{trans("home.$localeCode")}}
                                                    </a>
                                                @elseif($localeCode == 'en' && LaravelLocalization::getCurrentLocale() == 'ar')
                                                    <a hreflang="{{ $localeCode }}" 
                                                        @if(Request::segment(2) == 'service')
                                                            href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'service/'.$service->link_en, [], true) }}"
                                                        @elseif(Request::segment(2) == 'project')
                                                            href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'project/'.$project->link_en, [], true) }}"
                                                        @elseif(Request::segment(2) == 'blog')
                                                            href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'blog/'.$blog->link_en, [], true) }}"
                                                        @else
                                                            href="{{ LaravelLocalization::getLocalizedURL($localeCode, null, [], true) }}"
                                                        @endif>
                                                        {{trans("home.$localeCode")}}
                                                    </a>
                                                @endif    
                                            @endforeach
                                        </li>
                                    </ul>
                                </div>
                            </nav>
                        </div>
                        <div class="menu-right-content">
                            <div class="support-box">
                                <div class="icon"><i class="fa fa-language"></i></div>
                                <span>{{trans('home.switch_lang')}}</span>
                                <h5>
                                    @foreach(LaravelLocalization::getSupportedLocales() as $localeCode => $properties)
                                        @if($localeCode == 'ar' && LaravelLocalization::getCurrentLocale() == 'en')
    
                                            <a hreflang="{{ $localeCode }}" 
                                                @if(Request::segment(2) == 'service')
                                                    href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'service/'.$service->link_ar, [], true) }}"
                                                @elseif(Request::segment(2) == 'project')
                                                    href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'project/'.$project->link_ar, [], true) }}"
                                                @elseif(Request::segment(2) == 'blog')
                                                    href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'blog/'.$blog->link_ar, [], true) }}"
                                                @else
                                                    href="{{ LaravelLocalization::getLocalizedURL($localeCode, null, [], true) }}"
                                                @endif>
                                                {{trans("home.$localeCode")}}
                                            </a>
                                        @elseif($localeCode == 'en' && LaravelLocalization::getCurrentLocale() == 'ar')
                                            <a hreflang="{{ $localeCode }}" 
                                                @if(Request::segment(2) == 'service')
                                                    href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'service/'.$service->link_en, [], true) }}"
                                                @elseif(Request::segment(2) == 'project')
                                                    href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'project/'.$project->link_en, [], true) }}"
                                                @elseif(Request::segment(2) == 'blog')
                                                    href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'blog/'.$blog->link_en, [], true) }}"
                                                @else
                                                    href="{{ LaravelLocalization::getLocalizedURL($localeCode, null, [], true) }}"
                                                @endif>
                                                {{trans("home.$localeCode")}}
                                            </a>
                                        @endif    
                                    @endforeach
                                </h5>
                            </div>
                        </div>
                    </div>
                </div>
            
                <!--sticky Header-->
                <div class="sticky-header">
                    <div class="outer-box">
                        <div class="menu-area">
                            <nav class="main-menu clearfix">
                                <!--Keep This Empty / Menu will come through Javascript-->
                            </nav>
                        </div>
                        <div class="menu-right-content">
                            <div class="support-box">
                                <div class="icon"><i class="fa fa-language"></i></div>
                                <span>{{trans('home.switch_lang')}}</span>
                                <h5>
                                    @foreach(LaravelLocalization::getSupportedLocales() as $localeCode => $properties)
                                        @if($localeCode == 'ar' && LaravelLocalization::getCurrentLocale() == 'en')
    
                                            <a hreflang="{{ $localeCode }}" 
                                                @if(Request::segment(2) == 'service')
                                                    href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'service/'.$service->link_ar, [], true) }}"
                                                @elseif(Request::segment(2) == 'project')
                                                    href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'project/'.$project->link_ar, [], true) }}"
                                                @elseif(Request::segment(2) == 'blog')
                                                    href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'blog/'.$blog->link_ar, [], true) }}"
                                                @else
                                                    href="{{ LaravelLocalization::getLocalizedURL($localeCode, null, [], true) }}"
                                                @endif>
                                                {{trans("home.$localeCode")}}
                                            </a>
                                        @elseif($localeCode == 'en' && LaravelLocalization::getCurrentLocale() == 'ar')
                                            <a hreflang="{{ $localeCode }}" 
                                                @if(Request::segment(2) == 'service')
                                                    href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'service/'.$service->link_en, [], true) }}"
                                                @elseif(Request::segment(2) == 'project')
                                                    href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'project/'.$project->link_en, [], true) }}"
                                                @elseif(Request::segment(2) == 'blog')
                                                    href="{{ LaravelLocalization::getLocalizedURL($localeCode, 'blog/'.$blog->link_en, [], true) }}"
                                                @else
                                                    href="{{ LaravelLocalization::getLocalizedURL($localeCode, null, [], true) }}"
                                                @endif>
                                                {{trans("home.$localeCode")}}
                                            </a>
                                        @endif    
                                    @endforeach
                                </h5>
                            </div>
                        </div>
                    </div>
                </div>
            </header>
            <!-- main-header end -->
            
            <!-- Mobile Menu  -->
            <div class="mobile-menu">
                <div class="menu-backdrop"></div>
                <div class="close-btn"><i class="fas fa-times"></i></div>
            
                <nav class="menu-box">
                    <div class="nav-logo">
                        <a href="{{LaravelLocalization::localizeUrl('/')}}">
                            <img src="{{url('uploads/settings/source/'.$configration->app_logo)}}" class="logo_main" alt="logo">
                        </a>
                    </div>
                    <div class="menu-outer">
                    </div>
                    <div class="contact-info">
                        <h4>{{trans('home.contact_info')}}</h4>
                        <ul>
                            <li>{{$configration->address1}}</li>
                            <li><a href="tel:{{$setting->mobile}}">{{$setting->mobile}}</a></li>
                            <li><a href="tel:+{{$setting->telphone}}">+{{$setting->telphone}}</a></li>
                            <li><a href="mailto:{{$setting->contact_email}}">{{$setting->contact_email}}</a></li>
                        </ul>
                    </div>
                    <div class="social-links">
                        <ul class="clearfix">
                            @if($setting->twitter)<li><a href="{{$setting->twitter}}" target="_blank"><i class="fab fa-twitter"></i></a></li>@endif
                            @if($setting->facebook)<li><a href="{{$setting->facebook}}" target="_blank"><i class="fab fa-facebook"></i></a></li>@endif
                            @if($setting->linkedin)<li><a href="{{$setting->linkedin}}" target="_blank"><i class="fab fa-linkedin"></i></a></li>@endif
                            @if($setting->instgram)<li><a href="{{$setting->instgram}}" target="_blank"><i class="fab fa-instagram"></i></a></li>@endif
                        </ul>
                    </div>
                </nav>

            </div>
            <!-- End Mobile Menu -->
    
            @yield('content')
    
            <!-- main-footer -->
            <footer class="main-footer">
                <div class="container">
                    <div class="footer-top">
                        <div class="top-inner">
                            <div class="text">
                                <h5>{{trans('home.contact_email')}}</h5>
                                <h3><a href="mailto:{{$setting->contact_email}}">{{$setting->contact_email}}</a></h3>
                            </div>
                            <figure class="footer-logo">
                                <a href="{{LaravelLocalization::localizeUrl('/')}}">
                                    <img src="{{url('uploads/settings/source/'.$configration->app_logo)}}" class="logo_main" alt="logo">
                                </a>
                            </figure>
                            <div class="text">
                                <h5>{{trans('home.call_us')}}</h5>
                                <h3><a href="tel:{{$setting->mobile}}">{{$setting->mobile}}</a></h3>
                                <h3><a href="tel:+{{$setting->telphone}}">+{{$setting->telphone}}</a></h3>
                            </div>
                        </div>
                    </div>
                    <div class="widget-section">
                        <div class="row clearfix">
                            <div class="col-lg-4 col-md-6 col-sm-12 footer-column">
                                <div class="footer-widget links-widget">
                                    <div class="widget-title">
                                        <h4>{{trans('home.Opening Hours')}}</h4>
                                    </div>
                                    <div class="widget-content">
                                        <p>
                                            <span><i class="fa fa-clock"></i>{{trans('home.Working Hours')}}:</span>
                                            {{trans('home.Saturday to Wednesday from 3pm to 8 PM')}}
                                        </p>
                                        <p>
                                            <span><i class="fa fa-clock"></i> {{trans('home.Working Hours')}}:</span>
                                            {{trans('home.Thursday - Friday Closed')}}
                                        </p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-4 col-md-6 col-sm-12 footer-column">
                                <div class="footer-widget contact-widget">
                                    <div class="widget-title">
                                        <h4>{{trans('home.Our Location')}}</h4>
                                    </div>
                                    <div class="widget-content">
                                        <p>{{$configration->address1}}</p>
                                        <p>{{$configration->address2}}</p>
                                    </div>
                                    </div>
                            </div>
                            <div class="col-lg-4 col-md-6 col-sm-12 footer-column">
                                <div class="footer-widget contact-widget">
                                    <div class="widget-title">
                                        <h4>{{trans('home.Our Channels')}}</h4>
                                    </div>
                                    <div class="widget-content">
                                        <ul class="social-links clearfix">
                                            @if($setting->twitter)<li><a href="{{$setting->twitter}}" target="_blank"><i class="fab fa-twitter"></i></a></li>@endif
                                            @if($setting->facebook)<li><a href="{{$setting->facebook}}" target="_blank"><i class="fab fa-facebook"></i></a></li>@endif
                                            @if($setting->linkedin)<li><a href="{{$setting->linkedin}}" target="_blank"><i class="fab fa-linkedin"></i></a></li>@endif
                                            @if($setting->instgram)<li><a href="{{$setting->instgram}}" target="_blank"><i class="fab fa-instagram"></i></a></li>@endif
                                            @if($setting->youtube)<li><a href="{{$setting->youtube}}" target="_blank"><i class="fab fa-youtube"></i></a></li>@endif
                                            @if($setting->tiktok)<li><a href="{{$setting->tiktok}}" target="_blank"><i class="fas fa-tiktok"></i></a></li>@endif
                                            @if($setting->snapchat)<li><a href="{{$setting->snapchat}}" target="_blank"><i class="fab fa-snapchat"></i></a></li>@endif
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="footer-bottom centred">
                    <div class="container">
                        <div class="copyright">
                            <p>{!! $configration->copy_rights_text!!}</p>
                        </div>
                    </div>
                </div>
            </footer>
            <!-- main-footer end -->
    
            <!-- scroll to top -->
            <button class="scroll-top scroll-to-target" data-target="html">
                <i class="fal fa-long-arrow-up"></i>
            </button>
        </div>
        
        <!-- Social Icons -->
        <div class="media-social">
            <ul class="media-links clearfix">
                <li><h6>{{trans('home.follow on social media')}}</h6></li>
                @if($setting->mobile)<li><a href="tel:{{$setting->mobile}}" target="_blank"><i class="fa fa-phone"></i></a></li>@endif
                @if($setting->whatsapp)<li><a href="https://wa.me/+2{{$setting->whatsapp}}" target="_blank"><i class="fab fa-whatsapp"></i></a></li>@endif
                @if($setting->facebook)<li><a href="{{$setting->facebook}}" target="_blank"><i class="fab fa-facebook"></i></a></li>@endif
                @if($setting->instgram)<li><a href="{{$setting->instgram}}" target="_blank"><i class="fab fa-instagram"></i></a></li>@endif
            </ul>
        </div>
    
        <!-- jequery plugins -->
        <script src="{{ url('resources/assets/front/js/jquery.js') }}"></script>
        <script src="{{ url('resources/assets/front/js/popper.min.js') }}"></script>
        <script src="{{ url('resources/assets/front/js/bootstrap.min.js') }}"></script>
        <script src="{{ url('resources/assets/front/js/owl.js') }}"></script>
        <script src="{{ url('resources/assets/front/js/wow.js') }}"></script>
        <script src="{{ url('resources/assets/front/js/jquery.fancybox.js') }}"></script>
        <script src="{{ url('resources/assets/front/js/appear.js') }}"></script>
        <script src="{{ url('resources/assets/front/js/scrollbar.js') }}"></script>
        <script src="{{ url('resources/assets/front/js/parallax-scroll.js') }}"></script>
        <script src="{{ url('resources/assets/front/js/isotope.js') }}"></script>
        <!-- main-js -->
        <script  src="{{ url('resources/assets/front/js/script.js') }}"></script>
         @yield('script')
    </body>
    <!-- End of .page_wrapper -->
</html>