@extends('layouts.app')
@section('meta')
    @php echo $metatags @endphp

    @php echo $schema @endphp
@endsection

@section('content')

<!-- Page Title -->
<section class="page-title centred">
    <div class="bg-layer" style="background-image: url({{url('resources/assets/front/images/background/banner.jpg')}});"></div>
    <div class="container">
        <div class="content-box">
            <ul class="bread-crumb clearfix">
                <li><a href="index.html">{{trans('home.home')}}</a></li>
                <li>{{trans('home.about_us')}}</li>
            </ul>
            <div class="title">
                <h1>{{trans('home.about_us')}}</h1>
            </div>
        </div>
    </div>
    <div class="media-partner">
        <ul class="media-links clearfix">
            <li><h6>{{trans('home.follow on social media')}}</h6></li>
            @if($setting->mobile)<li><a href="tel:{{$setting->mobile}}" target="_blank"><i class="fa fa-phone"></i></a></li>@endif
            @if($setting->facebook)<li><a href="{{$setting->facebook}}" target="_blank"><i class="fab fa-facebook"></i></a></li>@endif
            @if($setting->instgram)<li><a href="{{$setting->instgram}}" target="_blank"><i class="fab fa-instagram"></i></a></li>@endif
        </ul>
    </div>
</section>
<!-- End Page Title -->


<!-- about-section -->
<section class="about-section">
    <div class="container">
        <div class="row clearfix">
            <div class="col-lg-6 col-md-12 col-sm-12 image-column">
                <div class="image_block_one">
                    <div class="image-box wow fadeInLeft animated" data-wow-delay="00ms"
                        data-wow-duration="1500ms">
                        <div class="text">DHI Egypt</div>
                        <div class="shape" style="background-image: url({{url('resources/assets/front/images/shape/shape-3.png')}});"></div>
                        <figure class="image"><img src="{{url('uploads/aboutStrucs/source/'.$about->image)}}" alt="about-image"></figure>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-md-12 col-sm-12 content-column">
                <div class="content_block_one wow fadeInRight animated" data-wow-delay="300ms"
                    data-wow-duration="1500ms">
                    <div class="content-box">
                        <div class="sec-title">
                            <span class="sub-title">{{trans('home.Who We Are')}}</span>
                            <h2 class="border-bottom">{!! (app()->getLocale() == 'en')?$about->title_en : $about->title_ar !!}</h2>
                        </div>
                        <div class="text">
                            {!! (app()->getLocale() == 'en')?$about->text_en : $about->text_ar !!}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- about-section end -->


@endsection
