@extends('layouts.app')
@section('meta')
    @php echo $metatags @endphp
@endsection

@section('content')
<!-- Page Title -->
<section class="page-title centred">
    <div class="bg-layer" style="background-image: url({{url('resources/assets/front/images/background/banner.jpg')}});"></div>
    <div class="container">
        <div class="content-box">
            <ul class="bread-crumb clearfix">
                <li><a href="index.html">{{trans('home.home')}}</a></li>
                <li>{{(app()->getLocale() == 'en')?$blog->title_en:$blog->title_ar}}</li>
            </ul>
            <div class="title">
                <h1>{{(app()->getLocale() == 'en')?$blog->name_en:$blog->name_ar}}</h1>
            </div>
        </div>
    </div>
    <div class="media-partner">
        <ul class="media-links clearfix">
            <li><h6>{{trans('home.follow on social media')}}</h6></li>
            @if($setting->mobile)<li><a href="tel:{{$setting->mobile}}" target="_blank"><i class="fa fa-phone"></i></a></li>@endif
            @if($setting->facebook)<li><a href="{{$setting->facebook}}" target="_blank"><i class="fab fa-facebook"></i></a></li>@endif
            @if($setting->instgram)<li><a href="{{$setting->instgram}}" target="_blank"><i class="fab fa-instagram"></i></a></li>@endif
        </ul>
    </div>
</section>
<!-- End Page Title -->



    <!-- service-details -->
    <section class="services-details">
        <div class="container">
            <div class="row clearfix">
                <div class="col-lg-4 col-md-12 col-sm-12 order-lg-1 order-md-2 order-sm-2 sidebar-side">
                    <div class="services-sidebar">
                        <div class="sidebar-widget category-widget">
                            <div class="sec-title">
                                <h4 class="border-bottom">{{trans('home.our_blogs')}}</h4>
                            </div>
                            <ul class="category-list clearfix">
                                @foreach($blogs as $blogItem)
                                    <li><a href="{{app()->getLocale() == 'en' ? LaravelLocalization::localizeUrl('blog/'.$blogItem->link_en) : LaravelLocalization::localizeUrl('blog/'.$blogItem->link_ar) }}">{{app()->getLocale() == 'en' ? $blogItem->title_en : $blogItem->title_ar}}</a></li>
                                @endforeach
                            </ul>
                        </div>
                        <div class="sidebar-widget support-widget">
                            <div class="sec-title">
                                <h4 class="border-bottom">{{trans('home.contact-us')}}</h4>
                            </div>
                            <div class="form-inner">
                                <form class="default-form" action="{{LaravelLocalization::localizeUrl('save/contact-us')}}" method="post">
                                    @csrf
                                    <div class="row clearfix">
                                        <div class="col-lg-12 col-md-6 col-sm-12 form-group">
                                            <input type="text" name="name" placeholder="{{trans('home.name')}}" required="">
                                            @error('name')
                                                <span class="text-danger">{{$message}}</span>
                                            @enderror
                                        </div>
                                        <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                            <input type="text" name="phone" required="" placeholder="{{trans('home.phone')}}">
                                            @error('phone')
                                                <span class="text-danger">{{$message}}</span>
                                            @enderror
                                        </div>
                                        <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                            <input type="email" name="email" placeholder="{{trans('home.email')}}" required="">
                                            @error('email')
                                                <span class="text-danger">{{$message}}</span>
                                            @enderror
                                        </div>
                                        <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                            <textarea name="message" placeholder="{{trans('home.message')}}"></textarea>
                                            @error('message')
                                                <span class="text-danger">{{$message}}</span>
                                            @enderror
                                        </div>
                                        <div class="col-lg-12 col-md-12 col-sm-12 form-group message-btn mr-0">
                                            <button class="theme-btn btn-one" type="submit" name="submit-form"><span>{{trans('home.send')}}</span></button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-8 col-md-12 col-sm-12 order-lg-2 order-md-1 order-sm-1 content-side">
                    <div class="services-details-content">
                        <div class="content-one">
                            <div class="image-box"><img src="{{url('uploads/blogitems/source/'.$blog->image)}}" alt=""></div>
                            <div class="lower-box mt-3">
                                <h2>{{(app()->getLocale() == 'en')?$blog->title_en:$blog->title_ar}}</h2>
                                <div class="text">
                                    <p>{!! app()->getLocale() == 'en' ? $blog->text_en : $blog->text_ar !!}</p>
                                </div>
                            </div>
                        </div>
                        @if(count($faqs) > 0)
                            <div class="content-three">
                                <ul class="accordion-box">
                                    @foreach($faqs as $key=>$faq)
                                        <li class="accordion block @if($key == 0) active-block @endif">
                                            <div class="acc-btn active">
                                                <div class="icon-outer"></div>
                                                <h5>{{$faq->question}}</h5>
                                            </div>
                                            <div class="acc-content current">
                                                <div class="text">
                                                    <p>{{$faq->answer}}</p>
                                                </div>
                                            </div>
                                        </li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- service-details end -->
    
    <!-- google-map-section -->
    <section class="google-map-section">
        <div class="container">
            <div class="row">
                <div class="col-12 google-map">
                    <iframe src="{{$setting->map_url}}" width="100%" height="100%" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
                </div>
            </div>
        </div>
    </section>
    <!-- google-map-section end -->  

@endsection

@section('script')
    @if(Session::has('contact_message'))
        <script>
            $.alert({
                title: "{{trans('home.contact_us')}}",
                content: "{{Session::get('contact_message')}}",
                buttons: {
                    ok: {
                        text: "{{trans('home.OK')}}",
                        btnClass: 'btn main-btn',
                    },
                },
                columnClass: 'col-md-6'
            });
        </script>
    @endif
    @php
        Session::forget('contact_message')
    @endphp
@endsection    