@extends('layouts.app')
@section('meta')
    @php echo $metatags @endphp

    @php echo $schema @endphp
@endsection

@section('content')

@if(count($sliders) > 0)
    <!-- banner-section -->
    <section class="banner-section centred">
        <!-- <div class="pattern-layer" style="background-image: url(assets/images/shape/shape-1.png);"></div> -->
        <div class="banner-carousel owl-theme owl-carousel owl-dots-none">
            @foreach ($sliders as $key=>$slider)
                <div class="slide-item @if($key %2 == 0) style-two @endif">
                    <div class="image-layer" style="background-image:url({{url('uploads/sliders/home-sliders/source/'.$slider->image)}})"></div>
                    <div class="container">
                        <div class="content-box">
                            <h2>{{$slider->title}}</h2>
                            <span>{{$slider->text}}</span>
                            <div class="btn-box">
                                <a href="{{LaravelLocalization::localizeUrl('about-us')}}" class="theme-btn btn-one">{{trans('home.about_us')}}</a>
                            </div>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
        <div class="media-partner">
            <ul class="media-links clearfix">
                <li>
                    <h6>{{trans('home.follow on social media')}}</h6>
                </li>
                @if($setting->twitter)<li><a href="{{$setting->twitter}}" target="_blank"><i class="fab fa-twitter"></i></a></li>@endif
                @if($setting->facebook)<li><a href="{{$setting->facebook}}" target="_blank"><i class="fab fa-facebook"></i></a></li>@endif
                @if($setting->linkedin)<li><a href="{{$setting->linkedin}}" target="_blank"><i class="fab fa-linkedin"></i></a></li>@endif
                @if($setting->instgram)<li><a href="{{$setting->instgram}}" target="_blank"><i class="fab fa-instagram"></i></a></li>@endif
            </ul>
        </div>
    </section>
    <!-- banner-section end -->
@endif

<!-- about-section -->
<section class="about-section">
    <div class="container">
        <div class="row clearfix">
            <div class="col-lg-6 col-md-12 col-sm-12 image-column">
                <div class="image_block_one">
                    <div class="image-box wow fadeInLeft animated" data-wow-delay="00ms"
                        data-wow-duration="1500ms">
                        <div class="text">DHI Egypt</div>
                        <div class="shape" style="background-image: url({{url('resources/assets/front/images/shape/shape-3.png')}});"></div>
                        <figure class="image"><img src="{{url('uploads/aboutStrucs/source/'.$about->image)}}" alt="about-image"></figure>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-md-12 col-sm-12 content-column">
                <div class="content_block_one wow fadeInRight animated" data-wow-delay="300ms"
                    data-wow-duration="1500ms">
                    <div class="content-box">
                        <div class="sec-title">
                            <span class="sub-title">{{trans('home.Who We Are')}}</span>
                            <h2 class="border-bottom">{!! (app()->getLocale() == 'en')?$about->title_en : $about->title_ar !!}</h2>
                        </div>
                        <div class="text">
                            {!! (app()->getLocale() == 'en')?strip_tags(mb_strimwidth($about->text_en, 0, 350, "...")) : strip_tags(mb_strimwidth($about->text_ar, 0, 350, "...")) !!}
                        </div>
                        <div class="btn-box">
                            <a href="{{LaravelLocalization::localizeUrl('about-us')}}" class="theme-btn btn-one">{{trans('home.read_more')}}</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- about-section end -->
<!--------------------------------- Why DHI --------------------------------------->
<section class="why-section">
    <!--<div class="bg-layer parallax-bg" data-parallax='{"y": 100}' style="background-image: url({{url('resources/assets/front/images/background/banner.jpg')}});"></div>-->
    <div class="container">
        <div class="row">
            <div class="col-sm-12 col-md-12 col-lg-12 text-center">
                <div class="sec-title">
                    <span class="sub-title">Why DHI</span>
                </div>
            </div>
            
            @foreach($faqs as $key=>$faq)
                <div class="col-sm-12 col-md-6 col-lg-6">
                    <div class="card">
                        <div class="card-header">
                            <h3>{{(app()->getLocale() == 'en')?$faq->question_en : $faq->question_ar}}</h3>
                        </div>
                        <div class="card-body">
                            <p>{!! (app()->getLocale() == 'en')?$faq->answer_en : $faq->answer_ar !!}</p>
                        </div>
                    </div>
                </div>
            @endforeach            
        </div>
    </div>
</section>
<!--------------------------------- Why DHI --------------------------------------->
@if(count($services) > 0)
    <!-- services-section -->
    <section class="services-section sec-pad">
        <div class="container">
            <div class="upper-box">
                <div class="sec-title">
                    <span class="sub-title">{{trans('home.clinc_services')}}</span>
                    <h2 class="border-bottom">{{trans('home.What services we provide')}}</h2>
                </div>
                <div class="row clearfix">
                    @foreach($services as $service)
                        <div class="col-lg-4 col-md-6 col-sm-12 services-block">
                            <div class="services-block-one wow fadeInUp animated" data-wow-delay="00ms"
                                data-wow-duration="1500ms">
                                <div class="inner-box">
                                    <div class="image-box">
                                        <a href="{{ (app()->getLocale() == 'en')? LaravelLocalization::localizeUrl('service/'.$service->link_en):LaravelLocalization::localizeUrl('service/'.$service->link_ar) }}">
                                            <img src="{{url('uploads/services/source/'.$service->img)}}" alt="{{$service->alt_img}}">
                                        </a>
                                    </div>
                                    <div class="lower-content">
                                        <h3><a href="{{ (app()->getLocale() == 'en')? LaravelLocalization::localizeUrl('service/'.$service->link_en):LaravelLocalization::localizeUrl('service/'.$service->link_ar) }}">{{(app()->getLocale() == 'en')?$service->name_en:$service->name_ar}}</a></h3>
                                        <p>{!! (app()->getLocale() == 'en')?strip_tags(mb_strimwidth($service->text_en, 0, 100, "...")) : strip_tags(mb_strimwidth($service->text_ar, 0, 100, "...")) !!}</p>
                                        <div class="link">
                                            <a href="{{ (app()->getLocale() == 'en')? LaravelLocalization::localizeUrl('service/'.$service->link_en):LaravelLocalization::localizeUrl('service/'.$service->link_ar) }}">{{trans('home.read_more')}}</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endforeach
                    
                    <div class="col-12 mt-5 centred">
                        <div class="btn-box">
                            <a href="{{LaravelLocalization::localizeUrl('services')}}" class="theme-btn btn-one">{{trans('home.services')}}</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- services-section end -->
@endif

<!-- video-section -->
<section class="video-section">
    <div class="bg-layer parallax-bg" data-parallax='{"y": 100}' style="background-image: url({{url('resources/assets/front/images/background/banner.jpg')}});"></div>
    <div class="container">
        <div class="inner-box">
            <div class="sec-title light">
                <h2>{{trans('home.Commitment to excellence, innovation, ethical engagement and transparency')}}</h2>
            </div>
            <div class="video-btn">
                <a href="{{trans('$setting->youtube_video_link')}}" class="lightbox-image" data-caption=""style="background-image: url({{url('resources/assets/front/images/shape/shape-7.png')}});"><i class="fas fa-play"></i></a>
            </div>
        </div>
    </div>
</section>
<!-- video-section end -->

<!-- news-section -->
<section class="news-section sec-pad pt-5">
    <div class="container">
        <div class="sec-title">
            <span class="sub-title">{{trans('home.our_blogs')}}</span>
            <h2 class="border-bottom">{{trans('home.News & Articles')}}</h2>
        </div>
        <div class="row clearfix">
            @foreach($blogs as $blog)
                <div class="col-lg-4 col-md-6 col-sm-12 news-block">
                    <div class="news-block-one wow fadeInUp animated" data-wow-delay="00ms" data-wow-duration="1500ms">
                        <div class="inner-box">
                            <figure class="image-box">
                                <a href="{{ (app()->getLocale() == 'en')? LaravelLocalization::localizeUrl('blog/'.$blog->link_en):LaravelLocalization::localizeUrl('blog/'.$blog->link_ar) }}">
                                    <img src="{{url('uploads/blogitems/source/'.$blog->image)}}" alt="{{$blog->alt_img}}">
                                </a>
                            </figure>
                            <div class="lower-content">
                                <h3><a href="{{ (app()->getLocale() == 'en')? LaravelLocalization::localizeUrl('blog/'.$blog->link_en):LaravelLocalization::localizeUrl('blog/'.$blog->link_ar) }}">{{(app()->getLocale() == 'en')?$blog->title_en:$blog->title_ar}}</a></h3>
                                <p>{!! (app()->getLocale() == 'en')?strip_tags(mb_strimwidth($blog->text_en, 0, 100, "...")) : strip_tags(mb_strimwidth($blog->text_ar, 0, 100, "...")) !!}</p>
                            </div>
                        </div>
                    </div>
                </div>
            @endforeach
            <div class="col-12 mt-5 centred">
                <div class="btn-box">
                    <a href="{{LaravelLocalization::localizeUrl('blogs')}}" class="theme-btn btn-one">{{trans('home.blogs')}}</a>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- news-section end -->
@if(count($testimonials) > 0)
    <!-- testimonial-style-two -->
    <section class="testimonial-style-two">
        <div class="container">
            <div class="row clearfix">
                <div class="col-lg-4 col-md-12 col-sm-12 title-column">
                    <div class="sec-title">
                        <span class="sub-title">{{trans('home.testimonials')}}</span>
                        <h2>{{trans('home.What our previous clients say about us')}}</h2>
                    </div>
                </div>
                <div class="col-lg-8 col-md-12 col-sm-12 inner-column">
                    <div class="inner-content">
                        <div class="two-item-carousel owl-carousel owl-theme owl-nav-none">
                            @foreach($testimonials as $testimonial)
                                <div class="testimonial-content">
                                    <div class="text">
                                        <p>{!! $testimonial->text !!}</p>
                                    </div>
                                    <div class="author-box">
                                        <figure class="author-thumb"><img src="{{url('uploads/testimonials/source/'.$testimonial->img)}}"
                                                alt=""></figure>
                                        <span class="name">{{$testimonial->name}}</span>
                                        <span class="designation">{{$testimonial->position}}</span>
                                    </div>
                                </div>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- testimonial-style-two end -->
@endif


<!-- contact-section -->
<section class="contact-section">
    <div class="container">
        <div class="row clearfix">
            <div class="col-lg-5 col-md-12 col-sm-12 content-column">
                <div class="content_block_six">
                    <div class="content-box">
                        <div class="sec-title">
                            <span class="sub-title">{{trans('home.Contact With Us')}}</span>
                            <h2>{{trans('home.Drop a Message')}}</h2>
                        </div>
                        <div class="inner-box">
                            <div class="single-item">
                                <div class="icon-box"><i class="flaticon-open-envelope"></i></div>
                                <p>{{trans('home.contact_email')}}</p>
                                <h3><a href="mailto:{{$setting->contact_email}}">{{$setting->contact_email}}</a></h3>
                            </div>
                            <div class="single-item">
                                <div class="icon-box"><i class="flaticon-phone"></i></div>
                                <p>{{trans('home.call_us')}}</p>
                                <h3><a href="tel:{{$setting->mobile}}">{{$setting->mobile}}</a></h3>
                            </div>
                            <div class="single-item">
                                <div class="icon-box"><i class="fa fa-map-marked-alt"></i></div>
                                <p>{{trans('home.Visit us')}}</p>
                                <h3><a href="javascript:;">{{$configration->address1}}</a></h3>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-7 col-md-12 col-sm-12 form-column">
                <div class="form-inner">
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    <form class="default-form" action="{{LaravelLocalization::localizeUrl('save/contact-us')}}" method="post">
                        @csrf
                        <div class="row clearfix">
                            <div class="col-lg-6 col-md-6 col-sm-12 form-group">
                                <input type="text" name="name" placeholder="{{trans('home.name')}}" required>
                            </div>
                            <div class="col-lg-6 col-md-12 col-sm-12 form-group">
                                <input type="text" name="email" placeholder="{{trans('home.email')}}" required>
                            </div>
                            <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                <input type="text" name="phone" placeholder="{{trans('home.phone')}}" required>
                            </div>
                            <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                <textarea  name="message" id="" cols="60" rows="5" placeholder="{{trans('home.message')}}" required=""></textarea>
                            </div>
                            <div class="col-lg-12 col-md-12 col-sm-12 form-group message-btn mr-0">
                                <button class="theme-btn btn-one" type="submit" name="submit-form"><span>{{trans('home.send')}}</span></button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- contact-section end -->

@endsection

@section('script')
    @if(Session::has('contact_message'))
        <script>
            $.alert({
                title: "{{trans('home.contact_us')}}",
                content: "{{Session::get('contact_message')}}",
                buttons: {
                    ok: {
                        text: "{{trans('home.OK')}}",
                        btnClass: 'btn main-btn',
                    },
                },
                columnClass: 'col-md-6'
            });
        </script>
    @endif
    @php
        Session::forget('contact_message')
    @endphp
@endsection    