@extends('layouts.app')
@section('meta')
    @php echo $metatags @endphp
@endsection

@section('title')
    <title>{{trans('home.services')}}</title>
@endsection

@section('content')
<!-- Page Title -->
<section class="page-title centred">
    <div class="bg-layer" style="background-image: url({{url('resources/assets/front/images/background/banner.jpg')}});"></div>
    <div class="container">
        <div class="content-box">
            <ul class="bread-crumb clearfix">
                <li><a href="index.html">{{trans('home.home')}}</a></li>
                <li>{{trans('home.services')}}</li>
            </ul>
            <div class="title">
                <h1>{{trans('home.services')}}</h1>
            </div>
        </div>
    </div>
    <div class="media-partner">
        <ul class="media-links clearfix">
            <li><h6>{{trans('home.follow on social media')}}</h6></li>
            @if($setting->mobile)<li><a href="tel:{{$setting->mobile}}" target="_blank"><i class="fa fa-phone"></i></a></li>@endif
            @if($setting->facebook)<li><a href="{{$setting->facebook}}" target="_blank"><i class="fab fa-facebook"></i></a></li>@endif
            @if($setting->instgram)<li><a href="{{$setting->instgram}}" target="_blank"><i class="fab fa-instagram"></i></a></li>@endif
        </ul>
    </div>
</section>
<!-- End Page Title -->

    <!-- services-section -->
    <section class="services-section sec-pad pt-5">
        <div class="container">
            <div class="upper-box">
                <div class="row clearfix">
                    @if(count($services) > 0)
                        @foreach($services as $service)
                            <div class="col-lg-4 col-md-6 col-sm-12 services-block">
                                <div class="services-block-one wow fadeInUp animated" data-wow-delay="00ms"
                                    data-wow-duration="1500ms">
                                    <div class="inner-box">
                                        <div class="image-box">
                                            <a href="{{ (app()->getLocale() == 'en')? LaravelLocalization::localizeUrl('service/'.$service->link_en):LaravelLocalization::localizeUrl('service/'.$service->link_ar) }}">
                                                <img src="{{url('uploads/services/source/'.$service->img)}}" alt="{{$service->alt_img}}">
                                            </a>
                                        </div>
                                        <div class="lower-content">
                                            <h3><a href="{{ (app()->getLocale() == 'en')? LaravelLocalization::localizeUrl('service/'.$service->link_en):LaravelLocalization::localizeUrl('service/'.$service->link_ar) }}">{{(app()->getLocale() == 'en')?$service->name_en:$service->name_ar}}</a></h3>
                                            <p>{!! (app()->getLocale() == 'en')?strip_tags(mb_strimwidth($service->text_en, 0, 100, "...")) : strip_tags(mb_strimwidth($service->text_ar, 0, 100, "...")) !!}</p>
                                            <div class="link">
                                                <a href="{{ (app()->getLocale() == 'en')? LaravelLocalization::localizeUrl('service/'.$service->link_en):LaravelLocalization::localizeUrl('service/'.$service->link_ar) }}">{{trans('home.read_more')}}</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @endforeach
                    @else
                        <div class="col-lg-12 col-md-12 col-sm-12 text-center">
                            <p>{{trans('home.no_data_found')}}</p>
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </section>
    <!-- services-section end -->
    
    
@endsection    