@extends('layouts.app')
@section('meta')
    <title>{{trans('why-choose-us')}}</title>
@endsection

@section('content')

<!-- Page Title -->
<section class="page-title centred">
    <div class="bg-layer" style="background-image: url({{url('resources/assets/front/images/background/banner.jpg')}});"></div>
    <div class="container">
        <div class="content-box">
            <ul class="bread-crumb clearfix">
                <li><a href="{{url('/')}}">{{trans('home.home')}}</a></li>
                <li>{{trans('home.why-choose-us')}}</li>
            </ul>
            <div class="title">
                <h1>{{trans('home.why-choose-us')}}<h1>
            </div>
        </div>
    </div>
    <div class="media-partner">
        <ul class="media-links clearfix">
            <li><h6>{{trans('home.follow on social media')}}</h6></li>
            @if($setting->mobile)<li><a href="tel:{{$setting->mobile}}" target="_blank"><i class="fa fa-phone"></i></a></li>@endif
            @if($setting->facebook)<li><a href="{{$setting->facebook}}" target="_blank"><i class="fab fa-facebook"></i></a></li>@endif
            @if($setting->instgram)<li><a href="{{$setting->instgram}}" target="_blank"><i class="fab fa-instagram"></i></a></li>@endif
        </ul>
    </div>
</section>
<!-- End Page Title -->


<section class="why-section">
    <div class="container">
        <div class="row">
            <div class="col-sm-12 col-md-12 col-lg-12 text-center">
                <div class="sec-title">
                    <span class="sub-title">Why DHI</span>
                </div>
            </div>
            
            @foreach($faqs as $key=>$faq)
                <div class="col-sm-12 col-md-6 col-lg-6">
                    <div class="card">
                        <div class="card-header">
                            <h3>{{(app()->getLocale() == 'en')?$faq->question_en : $faq->question_ar}}</h3>
                        </div>
                        <div class="card-body">
                            <p>{!! (app()->getLocale() == 'en')?$faq->answer_en : $faq->answer_ar !!}</p>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
</section>

@endsection
