<?php $__env->startSection('meta'); ?>
    <?php echo $metatags ?>

    <?php echo $schema ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<!-- Page Title -->
<section class="page-title centred">
    <div class="bg-layer" style="background-image: url(<?php echo e(url('resources/assets/front/images/background/banner.jpg')); ?>);"></div>
    <div class="container">
        <div class="content-box">
            <ul class="bread-crumb clearfix">
                <li><a href="index.html"><?php echo e(trans('home.home')); ?></a></li>
                <li><?php echo e(trans('home.contact-us')); ?></li>
            </ul>
            <div class="title">
                <h1><?php echo e(trans('home.contact-us')); ?></h1>
            </div>
        </div>
    </div>
    <div class="media-partner">
        <ul class="media-links clearfix">
            <li><h6><?php echo e(trans('home.follow on social media')); ?></h6></li>
            <?php if($setting->mobile): ?><li><a href="tel:<?php echo e($setting->mobile); ?>" target="_blank"><i class="fa fa-phone"></i></a></li><?php endif; ?>
            <?php if($setting->facebook): ?><li><a href="<?php echo e($setting->facebook); ?>" target="_blank"><i class="fab fa-facebook"></i></a></li><?php endif; ?>
            <?php if($setting->instgram): ?><li><a href="<?php echo e($setting->instgram); ?>" target="_blank"><i class="fab fa-instagram"></i></a></li><?php endif; ?>
        </ul>
    </div>
</section>
<!-- End Page Title -->

<!-- contact-section -->
<section class="contact-section">
    <div class="container">
        <div class="row clearfix">
            <div class="col-lg-5 col-md-12 col-sm-12 content-column">
                <div class="content_block_six">
                    <div class="content-box">
                        <div class="sec-title">
                            <span class="sub-title"><?php echo e(trans('home.Contact With Us')); ?></span>
                            <h2><?php echo e(trans('home.Drop a Message')); ?></h2>
                        </div>
                        <div class="inner-box">
                            <div class="single-item">
                                <div class="icon-box"><i class="flaticon-open-envelope"></i></div>
                                <p><?php echo e(trans('home.contact_email')); ?></p>
                                <h3><a href="mailto:<?php echo e($setting->contact_email); ?>"><?php echo e($setting->contact_email); ?></a></h3>
                            </div>
                            <div class="single-item">
                                <div class="icon-box"><i class="flaticon-phone"></i></div>
                                <p><?php echo e(trans('home.call_us')); ?></p>
                                <h3><a href="tel:<?php echo e($setting->mobile); ?>"><?php echo e($setting->mobile); ?></a></h3>
                                <h3><a href="tel:+<?php echo e($setting->telphone); ?>">+<?php echo e($setting->telphone); ?></a></h3>
                            </div>
                            <div class="single-item">
                                <div class="icon-box"><i class="fa fa-map-marked-alt"></i></div>
                                <p><?php echo e(trans('home.Visit us')); ?></p>
                                <h3><a href="javascript:;"><?php echo e($configration->address1); ?></a></h3>
                                <br>
                                <h3><a href="javascript:;"><?php echo e($configration->address2); ?></a></h3>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-7 col-md-12 col-sm-12 form-column">
                <div class="form-inner">
                    <?php if($errors->any()): ?>
                        <div class="alert alert-danger">
                            <ul>
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    <?php endif; ?>
                    <form class="default-form" action="<?php echo e(LaravelLocalization::localizeUrl('save/contact-us')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <div class="row clearfix">
                            <div class="col-lg-6 col-md-6 col-sm-12 form-group">
                                <input type="text" name="name" placeholder="<?php echo e(trans('home.name')); ?>" required>
                            </div>
                            <div class="col-lg-6 col-md-12 col-sm-12 form-group">
                                <input type="text" name="email" placeholder="<?php echo e(trans('home.email')); ?>" required>
                            </div>
                            <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                <input type="text" name="phone" placeholder="<?php echo e(trans('home.phone')); ?>" required>
                            </div>
                            <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                <textarea  name="message" id="" cols="60" rows="5" placeholder="<?php echo e(trans('home.message')); ?>" required=""></textarea>
                            </div>
                            <div class="col-lg-12 col-md-12 col-sm-12 form-group message-btn mr-0">
                                <button class="theme-btn btn-one" type="submit" name="submit-form"><span><?php echo e(trans('home.send')); ?></span></button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- contact-section end -->

<!-- google-map-section -->
<section class="google-map-section">
    <div class="container">
        <div class="row">
            <div class="col-12 google-map">
                <iframe src="<?php echo e($setting->map_url); ?>" width="100%" height="100%" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
            </div>
        </div>
    </div>
</section>
<!-- google-map-section end -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <?php if(Session::has('contact_message')): ?>
        <script>
            $.alert({
                title: "<?php echo e(trans('home.contact_us')); ?>",
                content: "<?php echo e(Session::get('contact_message')); ?>",
                buttons: {
                    ok: {
                        text: "<?php echo e(trans('home.OK')); ?>",
                        btnClass: 'btn main-btn',
                    },
                },
                columnClass: 'col-md-6'
            });
        </script>
    <?php endif; ?>
    <?php
        Session::forget('contact_message')
    ?>
<?php $__env->stopSection(); ?>  
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/be4maps/public_html/newdhi.be4maps.com/resources/views/website/contact-us.blade.php ENDPATH**/ ?>