<?php $__env->startSection('meta'); ?>
    <?php echo $metatags ?>

    <?php echo $schema ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<!-- Page Title -->
<section class="page-title centred">
    <div class="bg-layer" style="background-image: url(<?php echo e(url('resources/assets/front/images/background/banner.jpg')); ?>);"></div>
    <div class="container">
        <div class="content-box">
            <ul class="bread-crumb clearfix">
                <li><a href="index.html"><?php echo e(trans('home.home')); ?></a></li>
                <li><?php echo e(trans('home.faqs')); ?></li>
            </ul>
            <div class="title">
                <h1><?php echo e(trans('home.faqs')); ?></h1>
            </div>
        </div>
    </div>
    <div class="media-partner">
        <ul class="media-links clearfix">
            <li><h6><?php echo e(trans('home.follow on social media')); ?></h6></li>
            <?php if($setting->mobile): ?><li><a href="tel:<?php echo e($setting->mobile); ?>" target="_blank"><i class="fa fa-phone"></i></a></li><?php endif; ?>
            <?php if($setting->facebook): ?><li><a href="<?php echo e($setting->facebook); ?>" target="_blank"><i class="fab fa-facebook"></i></a></li><?php endif; ?>
            <?php if($setting->instgram): ?><li><a href="<?php echo e($setting->instgram); ?>" target="_blank"><i class="fab fa-instagram"></i></a></li><?php endif; ?>
        </ul>
    </div>
</section>
<!-- End Page Title -->


<!-- faqs start -->
<section class="services-details">
    <div class="container">
        <div class="row clearfix">
            <div class="col-lg-4 col-md-12 col-sm-12 order-lg-1 order-md-2 order-sm-2 sidebar-side">
                <div class="services-sidebar">
                    <div class="sidebar-widget support-widget">
                        <div class="sec-title">
                            <h4 class="border-bottom"><?php echo e(trans('home.contact_us')); ?></h4>
                        </div>
                        <div class="form-inner">
                            <?php if($errors->any()): ?>
                                <div class="alert alert-danger">
                                    <ul>
                                        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li><?php echo e($error); ?></li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </div>
                            <?php endif; ?>
                            <form class="default-form" action="<?php echo e(LaravelLocalization::localizeUrl('save/contact-us')); ?>" method="post">
                                <?php echo csrf_field(); ?>
                                <div class="row clearfix">
                                    <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                        <input type="text" name="name" placeholder="<?php echo e(trans('home.name')); ?>" required>
                                    </div>
                                    <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                        <input type="text" name="email" placeholder="<?php echo e(trans('home.email')); ?>" required>
                                    </div>
                                    <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                        <input type="text" name="phone" placeholder="<?php echo e(trans('home.phone')); ?>" required>
                                    </div>
                                    <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                        <textarea  name="message" id="" cols="60" rows="5" placeholder="<?php echo e(trans('home.message')); ?>" required=""></textarea>
                                    </div>
                                    <div class="col-lg-12 col-md-12 col-sm-12 form-group message-btn mr-0">
                                        <button class="theme-btn btn-one" type="submit" name="submit-form"><span><?php echo e(trans('home.send')); ?></span></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-8 col-md-12 col-sm-12 order-lg-2 order-md-1 order-sm-1 content-side">
                <div class="services-details-content">
                    
                    <!-- The Block -->
                    <div class="content-three">
                        <div class="sec-title">
                            <h3 class="border-bottom"><?php echo e(trans('home.Most frequently asked questions')); ?></h3>
                        </div>
                        <?php if(count($faqs)> 0): ?>
                            <ul class="accordion-box">
                                <?php $__currentLoopData = $faqs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$faq): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li class="accordion block <?php if($key == 0): ?> active-block <?php endif; ?>">
                                        <div class="acc-btn <?php if($key == 0): ?> active <?php endif; ?>">
                                            <div class="icon-outer"></div>
                                            <h5><?php echo e((app()->getLocale() == 'en')?$faq->question_en : $faq->question_ar); ?></h5>
                                        </div>
                                        <div class="acc-content <?php if($key == 0): ?> current <?php endif; ?>">
                                            <div class="text">
                                                <p><?php echo (app()->getLocale() == 'en')?$faq->answer_en : $faq->answer_ar; ?></p>
                                            </div>
                                        </div>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        <?php else: ?>
                            <div class="text-center">
                                <p><?php echo e(trans('home.no_data_found')); ?></p>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- faqs end -->
        
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/be4maps/public_html/newdhi.be4maps.com/resources/views/website/faqs.blade.php ENDPATH**/ ?>